# Changelog

All notable changes to this project will be documented in this file.
Each new release typically also includes the latest modulesync defaults.
These should not affect the functionality of the module.

## [v1.1.0](https://github.com/opus-codium/puppet-commission/tree/v1.1.0) (2024-09-16)

[Full Changelog](https://github.com/opus-codium/puppet-commission/compare/v1.0.0...v1.1.0)

**Implemented enhancements:**

- Add support for FreeBSD 14 [\#30](https://github.com/opus-codium/puppet-commission/pull/30) ([smortex](https://github.com/smortex))
- Add support for Debian 12 [\#29](https://github.com/opus-codium/puppet-commission/pull/29) ([smortex](https://github.com/smortex))

**Fixed bugs:**

- Fix AIO path for PuppetServer [\#31](https://github.com/opus-codium/puppet-commission/pull/31) ([smortex](https://github.com/smortex))

## [v1.0.0](https://github.com/opus-codium/puppet-commission/tree/v1.0.0) (2023-11-24)

[Full Changelog](https://github.com/opus-codium/puppet-commission/compare/39afd208774501af9b4c395bdd7e1e2a45c66039...v1.0.0)

**Breaking changes:**

- Drop Puppet 6 \(EOL\) [\#26](https://github.com/opus-codium/puppet-commission/pull/26) ([smortex](https://github.com/smortex))

**Implemented enhancements:**

- Add support for Puppet 8 [\#22](https://github.com/opus-codium/puppet-commission/pull/22) ([smortex](https://github.com/smortex))
- Improve error reporting [\#20](https://github.com/opus-codium/puppet-commission/pull/20) ([smortex](https://github.com/smortex))
- Hide template plans by default [\#19](https://github.com/opus-codium/puppet-commission/pull/19) ([smortex](https://github.com/smortex))
- Switch to tasks for decommissioning nodes [\#18](https://github.com/opus-codium/puppet-commission/pull/18) ([smortex](https://github.com/smortex))
- Refactor the certificates management tasks [\#16](https://github.com/opus-codium/puppet-commission/pull/16) ([smortex](https://github.com/smortex))
- Set puppet settings from a task instead of a script [\#15](https://github.com/opus-codium/puppet-commission/pull/15) ([smortex](https://github.com/smortex))
- Improve the add\_custom\_facts task [\#14](https://github.com/opus-codium/puppet-commission/pull/14) ([smortex](https://github.com/smortex))
- Make commission plan site specific [\#13](https://github.com/opus-codium/puppet-commission/pull/13) ([smortex](https://github.com/smortex))
- Add support for Debian 11 [\#12](https://github.com/opus-codium/puppet-commission/pull/12) ([smortex](https://github.com/smortex))
- Document plans parameters [\#10](https://github.com/opus-codium/puppet-commission/pull/10) ([smortex](https://github.com/smortex))
- Add task for adding facts: add\_custom\_facts [\#5](https://github.com/opus-codium/puppet-commission/pull/5) ([smortex](https://github.com/smortex))
- Add a commissionned\_at fact [\#4](https://github.com/opus-codium/puppet-commission/pull/4) ([smortex](https://github.com/smortex))
- Ensure lspci\(1\) is installed before running Puppet [\#2](https://github.com/opus-codium/puppet-commission/pull/2) ([smortex](https://github.com/smortex))

**Fixed bugs:**

- Fix arguments parameter for run\_script [\#3](https://github.com/opus-codium/puppet-commission/pull/3) ([smortex](https://github.com/smortex))
- Strip username and port from provisionning targets [\#1](https://github.com/opus-codium/puppet-commission/pull/1) ([smortex](https://github.com/smortex))

**Merged pull requests:**

- Ensure Puppet AIO path [\#17](https://github.com/opus-codium/puppet-commission/pull/17) ([smortex](https://github.com/smortex))
- Update README badges [\#11](https://github.com/opus-codium/puppet-commission/pull/11) ([smortex](https://github.com/smortex))
- Bump minimal Puppet version to 6.0.0 [\#9](https://github.com/opus-codium/puppet-commission/pull/9) ([smortex](https://github.com/smortex))
- No need to load puppet facts [\#7](https://github.com/opus-codium/puppet-commission/pull/7) ([smortex](https://github.com/smortex))



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
